Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrVariant Class Reference

Pango variant C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrVariant:

List of all members.

## Public Member Functions

Constructors

- AttrVariant (Variant variant=VARIANT_NORMAL)
    Construct a new font variant attribute (normal or small caps).

Accessors

- Variant variant () const
    Returns the variant.

Methods

- void set_variant (Variant variant)
    Sets the variant.

## Detailed Description

Pango variant C++ wrapper class.

AttrVariant wraps the variant attribute (ATTR_VARIANT).

## Constructor & Destructor Documentation

Xfc::Pango::AttrVariant::AttrVariant | ( | Variant | variant = `VARIANT_NORMAL` | ) | `[explicit]`

Construct a new font variant attribute (normal or small caps).

Parameters:

  | variant | The Variant.

## Member Function Documentation

void Xfc::Pango::AttrVariant::set_variant | ( | Variant | variant | ) |

Sets the variant.

Parameters:

  | variant | The new variant.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3